# $Revision: 1.55 $, $Date: 2010/12/11 21:37:24 $
# NOTE:
#  - fails to build on Ac: http://bugs.php.net/bug.php?id=41720
#  - make NOT fail if $DISPLAY not present, or we can't autoload package
%define		modname	gtk2
Summary:	PHP language bindings for GTK+ toolkit
Summary(pl.UTF-8):	Moduł PHP z wiązaniami do GTK+
Name:		php-gtk2
Version:	2.0.2
Release:	3
License:	GPL
Group:		Libraries
#Source0:	http://gtk.php.net/distributions/php-gtk-%{version}.tar.gz
# 2.0.2 tagged, but no tarball
# svn co http://svn.php.net/repository/gtk/php-gtk/tags/php_gtk_2_0_2 php-gtk-2.0.2
# tar --exclude-vcs -czf php-gtk-2.0.2.tar.gz php-gtk-2.0.2
Source0:	php-gtk-%{version}.tar.gz
# Source0-md5:	63a132426b1f007efc82876906a4e006
URL:		http://gtk.php.net/
BuildRequires:	gtk+2-devel
BuildRequires:	php-devel >= 4:5.1
BuildRequires:	php-pecl-cairo-devel
BuildRequires:	php-program
BuildRequires:	rpmbuild(macros) >= 1.344
Requires:	php-cli
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Provides:	php(gtk2)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP-GTK is a PHP extension that enables you to write client-side
cross-platform GUI applications. This is the first such extension of
this kind and one of the goals behind it was to prove that PHP is a
capable general-purpose scripting language that is suited for more
than just Web applications.

This extension will _not_ allow you to display GTK+ programs in a Web
browser, and cannot be used in the Web environment. It is intended for
creating standalone GUI applications.

This version (php-gtk2) was rewriten almost from scratch and is based
on PHP 5.1 and GTK+ 2.6.

%description -l pl.UTF-8
PHP-GTK jest rozszerzeniem PHP które pozwala pisać klienckie przenośne
aplikacje typu GUI. To jest pierwsze rozszerzenie tego typu i jednym z
celów które przyświecały jego autorom było pokazanie że PHP jest
językiem skryptowym ogólnego zastosowania, który pasuje do czegoś
więcej niż tylko aplikacje WWW.

To rozszerzenie _nie_pozwala_ na używanie programów korzystających z
GTK+ przez przeglądarkę i nie może być używane w środowisku WWW. Jest
przeznaczone do tworzenia samodzielnych aplikacji GUI.

Ta wersja (php-gtk2) została przepisana prawie od zera, obecnie jest
oparta na PHP 5.1 i GTK+ 2.6.

%prep
%setup -q -n php-gtk-%{version}

%build
./buildconf \
	--with-phpize=%{_bindir}/phpize
%configure \
	--with-php-config=%{_bindir}/php-config
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/php_gtk2.so $RPM_BUILD_ROOT%{php_extensiondir}/%{modname}.so
# NOTE:
# - makes php unusable if loaded automatically and $DISPLAY not present:
# $ php -r
# PHP Fatal error:  php-gtk: Could not open display in Unknown on line 0
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
; DO NOT load automatically, as it requires DISPLAY being present
;extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog AUTHORS TODO2 NEWS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-gtk2.spec,v $
Revision 1.55  2010/12/11 21:37:24  arekm
- release 3

Revision 1.54  2010/08/20 10:10:50  glen
- do not autoload extension; rel 2

Revision 1.53  2010/06/03 16:38:21  glen
- drop object.patch, seems bogus and no info what it is supposed to do

Revision 1.52  2010/06/03 16:36:50  glen
- use 2.0.2 custom tarball created from svn tag, builds with php 5.3

Revision 1.51  2010/06/03 16:09:16  glen
- php53 double static fixes

Revision 1.50  2010/06/03 16:08:44  glen
- cleanup

Revision 1.49  2008/12/26 15:34:48  adamg
- fix r1.47 commit msg

Revision 1.48  2008/12/26 15:33:40  adamg
- finish update to 2.0.1
- libtool.patch

Revision 1.47  2008/12/26 01:52:47  adamg
- updated to 2.0.1

Revision 1.46  2007/06/17 18:40:07  glen
- php macros

Revision 1.45  2007/06/17 18:32:23  adamg
- note about build failure on Ac

Revision 1.44  2007/06/17 18:19:42  adamg
- updated to 20070617 snap (2.0.0 beta)
- -memlimit and -tsrm patches applied upstream
- BR: php-program

Revision 1.43  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.42  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.41  2006/12/26 17:18:40  adamg
- updated to 20061226 snap

Revision 1.40  2006/11/26 21:31:50  glen
- fails parallel build

Revision 1.39  2006/11/26 21:24:28  glen
- Provide php(gtk2), fix pcre dep, add memory limit patch; rel 3

Revision 1.38  2006/11/26 12:41:00  glen
- virtual deps; rel 2

Revision 1.37  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.36  2006/07/15 19:30:34  adamg
- updated to 20060715 snap (so calle zeta release)

Revision 1.35  2006/06/29 09:52:18  adamg
- updated to 20060629 snapshot

Revision 1.34  2006/06/27 16:28:56  adamg
- todo done

Revision 1.33  2006/04/24 14:04:22  adamg
- snap 20060424

Revision 1.32  2006/01/30 20:47:01  qboosh
- pl fix

Revision 1.31  2006/01/30 17:37:18  matipl
- upgraded to new version: php-gtk2 (from CVS)

Revision 1.30  2005/09/15 22:06:23  glen
- use 20050915 cvs snapshot for php-gtk2
- requires php 5.1
- can't build, memory faults from php-cli 5.1
